## org.h2.store.fs
Class FileObjectDisk

    java.lang.Object
      java.io.RandomAccessFile
          org.h2.store.fs.FileObjectDisk

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.DataOutput, FileObject

    public class FileObjectDisk

extends java.io.RandomAccessFile
implements FileObject

This class extends a java.io.RandomAccessFile.

Method Summary
`java.lang.String` `getName()` Get the full qualified name of this file.
`void` `setFileLength(long newLength)` Change the length of the file.
`void` `sync()` Force changes to the physical location.

Methods inherited from class java.io.RandomAccessFile

`close, getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.h2.store.fs.FileObject
`close, getFilePointer, length, readFully, seek, write`

Method Detail

### sync

    public void sync()
              throws java.io.IOException

  Description copied from interface: `FileObject`
  Force changes to the physical location.

  Specified by:
    `sync` in interface `FileObject`
  Throws:
    `java.io.IOException`

### setFileLength

    public void setFileLength(long newLength)
                       throws java.io.IOException

  Description copied from interface: `FileObject`
  Change the length of the file.

  Specified by:
    `setFileLength` in interface `FileObject`
  Parameters:
    `newLength` - the new length
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Description copied from interface: `FileObject`
  Get the full qualified name of this file.

  Specified by:
    `getName` in interface `FileObject`
  Returns:
    the name